function [string,ixc]=updatedrag(md,ixc,dvar)

string=sprintf('\n\t[epart,npart]=MeshPartition(md,%d);\n\n',md.npart);
string=[string sprintf('\n')];
for j=1:length(dvar)
	if strncmp(dvar(j).descriptor,'drag',4)
        ixc=ixc+1;
		idrag =sscanf(dvar(j).descriptor(5:end),'%d');
        if strcmpi(md.analysis_driver,'matlab')
            string=[string sprintf('\tdragi(%d,1)=Dakota.xC(%d);\n',idrag,ixc)];
        else
            string=[string sprintf('\tdragi(%d,1)={%s};\n',idrag,dvar(j).descriptor)];
        end
	end
end
string=[string sprintf('\tmd.drag      =md.drag      .*dragi(npart);\n')];
string=[string sprintf('\tclear dragi\n')];
string=[string sprintf('\tclear npart epart\n')];
string=[string sprintf('\n')];

end
